-- MySQL dump 10.9
--
-- Host: localhost    Database: maintain
-- ------------------------------------------------------
-- Server version	4.1.12
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO,MYSQL40' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


--
-- Table structure for table `dhcp_class`
--

DROP TABLE IF EXISTS `dhcp_class`;
CREATE TABLE `dhcp_class` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `space` varchar(255) NOT NULL default '',
  `subclass` smallint(1) NOT NULL default '0',
  `parent_class` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=InnoDB;

--
-- Dumping data for table `dhcp_class`
--


/*!40000 ALTER TABLE `dhcp_class` DISABLE KEYS */;
LOCK TABLES `dhcp_class` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `dhcp_class` ENABLE KEYS */;

--
-- Table structure for table `dhcp_options`
--

DROP TABLE IF EXISTS `dhcp_options`;
CREATE TABLE `dhcp_options` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(127) NOT NULL default '',
  `access` int(3) NOT NULL default '100',
  `type` varchar(40) NOT NULL default 'default',
  `custom` smallint(1) NOT NULL default '0',
  `value` varchar(255) NOT NULL default '',
  `enabled` smallint(1) NOT NULL default '1',
  `space` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  KEY `custom` (`custom`)
) TYPE=InnoDB;

--
-- Dumping data for table `dhcp_options`
--


/*!40000 ALTER TABLE `dhcp_options` DISABLE KEYS */;
LOCK TABLES `dhcp_options` WRITE;
INSERT INTO `dhcp_options` VALUES (1,'time-offset',100,'option',0,'',1,''),(2,'netbios-node-type',100,'option',0,'',1,''),(3,'netbios-name-servers',100,'option',0,'',1,''),(4,'ntp-servers',100,'option',0,'',1,''),(5,'domain-name-servers',100,'option',0,'',1,''),(6,'subnet-mask',100,'option',0,'',1,''),(7,'routers',100,'option',0,'',1,''),(8,'broadcast-address',100,'option',0,'',1,''),(9,'domain-name',100,'quoted-option',0,'',1,''),(10,'time-servers',100,'option',0,'',1,''),(11,'always-reply-rfc1048',100,'default',0,'',1,''),(12,'log-servers',100,'option',0,'',1,''),(13,'next-server',100,'default',0,'',1,''),(14,'ipphone',100,'quoted-option',0,'',1,''),(15,'slp-directory-agent',100,'option',0,'',1,''),(16,'slp-scope',100,'option',0,'',1,''),(17,'default-lease-time',100,'default',0,'',1,''),(18,'dhcp-parameter-request-list',100,'option',0,'',1,''),(19,'filename',100,'quoted',0,'',1,''),(20,'host-name',100,'quoted-option',0,'',1,''),(21,'SUNW.sysid-config-file-server',100,'quoted-option',0,'',1,''),(22,'max-lease-time',100,'default',0,'',1,''),(23,'min-lease-time',100,'default',0,'',1,''),(24,'default-ip-ttl',100,'option',0,'',1,''),(25,'cookie-servers',100,'option',0,'',1,''),(26,'finger-server',100,'option',0,'',1,''),(27,'font-servers',100,'option',0,'',1,''),(28,'impress-servers',100,'option',0,'',1,''),(29,'irc-server',100,'option',0,'',1,''),(30,'lpr-servers',100,'option',0,'',1,''),(31,'nds-context',100,'option',0,'',1,''),(32,'nds-servers',100,'option',0,'',1,''),(33,'nds-tree-name',100,'option',0,'',1,''),(34,'netbios-dd-server',100,'option',0,'',1,''),(35,'nis-servers',100,'option',0,'',1,''),(36,'nisplus-domain',100,'option',0,'',1,''),(37,'nisplus-servers',100,'option',0,'',1,''),(38,'nntp-server',100,'option',0,'',1,''),(39,'pop-server',100,'option',0,'',1,''),(40,'resource-location-servers',100,'option',0,'',1,''),(41,'root-path',100,'option',0,'',1,''),(42,'smtp-server',100,'option',0,'',1,''),(43,'static-routes',100,'option',0,'',1,''),(44,'swap-server',100,'option',0,'',1,''),(45,'www-server',100,'option',0,'',1,''),(46,'x-display-manager',100,'option',0,'',1,''),(47,'option-144',100,'quoted-option',0,'',1,'');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dhcp_options` ENABLE KEYS */;

--
-- Table structure for table `domain`
--

DROP TABLE IF EXISTS `domain`;
CREATE TABLE `domain` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `master_domain` int(11) unsigned NOT NULL default '0',
  `enabled` smallint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `master_domain` (`master_domain`)
) TYPE=InnoDB PACK_KEYS=1;

--
-- Dumping data for table `domain`
--


/*!40000 ALTER TABLE `domain` DISABLE KEYS */;
LOCK TABLES `domain` WRITE;
INSERT INTO `domain` VALUES (1,'arpa',0,1),(2,'com',0,1),(3,'net',0,1),(4,'org',0,1),(5,'edu',0,1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `domain` ENABLE KEYS */;

--
-- Table structure for table `help`
--

DROP TABLE IF EXISTS `help`;
CREATE TABLE `help` (
  `ident` varchar(128) NOT NULL default '',
  `content` text NOT NULL,
  PRIMARY KEY  (`ident`)
) TYPE=InnoDB COMMENT='help';

--
-- Dumping data for table `help`
--


/*!40000 ALTER TABLE `help` DISABLE KEYS */;
LOCK TABLES `help` WRITE;
INSERT INTO `help` VALUES ('search_fuzzy','<p align=\\\"center\\\"><font class=\\\"header1\\\">Executing a Fuzzy Search</font></p>\r\n<p>There are a few ways to do a fuzzy search. If you simply enter a string by default it will search for any record of the specified type which starts with that string. To do a search for a record that ends in a speficied string simply append a % to your search. For example, if you would like to search for a hostname that ends in <i>erk</i> enter the following <i>%erk</i>. If you want to search for ANY instance of the string add %\\\'s to either end of your search. For example, to look for a hostname that contains <i>erk</i> enter the following <i>%erk%</i>.</p> \r\n<p><font class=\\\"header2\\\">General Syntax</font><br /><br />\r\n<b>Record Ends with:</b> %<i>search_string</i><br /><br />\r\n<b>Record Starts with:</b> <i>search_string</i>%<br /><br />\r\n<b>Record Contains:</b> %<i>search_string</i>%<br /><br />\r\n<center><font class=\\\"error\\\">When doing a \\\"Record Contains\\\" search it may take a while!</font></center>\r\n</p>'),('hostname','<p><font class=\\\"header2\\\">Hostname</font></p>\n<p>A hostname is a series of letters and numbers that identifies a object. \nWhen coupled with a domain name, such as .oregonstate.edu, you can use it \nto reference a specific computer from anywhere in the world.</p>\n\n<p><b>The following are valid characters in a Hostname</b><br />\n<font class=\\\"error\\\">A-Z,  a-z,  0-9 and -</font></p>'),('host_parent_zone','<p><font class=\\\"header2\\\">Parent Zone</font></p>\n<p>This is the primary zone that the specifed object references to.</p>'),('hardware_address','<p><font class=\\\"header2\\\">Hardware Address</font></p>\r\n<p>A hardware address, also known as a MAC is your computer\\\'s unique \r\nhardware number. When you\\\'re connected to the Internet from your \r\ncomputer a correspondence table relates your IP address to your computer\\\'s \r\nphysical (MAC) address on the LAN. All network devices have a unique \r\nhardware address.</p>\r\n\r\n<p><b>Valid Hardware Address Characters.</b><br /><br />\r\n<font class=\\\"error\\\">A-F and 0-9</font><br />\r\n</p>\r\n<p><b>Other Requirements</b><br /><br />\r\n<font class=\\\"error\\\">Always 12 Characters</font><br />\r\n</p>'),('ip_address','<p><font class=\\\"header2\\\">IP Address</font></p>\n<p>IP uses a four octet dot notation to define an address. \nEach eight bit binary coded decimal number is called an <i>octet</i>. \nFor example: A IP address would look like 250.45.36.12</p>\n\n<p><b>Valid IP Address Characters.</b><br />\n<font class=\\\"error\\\">0-9, .</font>\n</p>'),('status','<p><font class=\\\"header2\\\">Host Status</font></p>\r\n<p>A host can be either <b>enabled</b> or <b>disabled</b>.  When\r\nyou disable a host it will not be available via DNS or DHCP.  In other\r\nwords, disabling a host allows you to remove a host from use but\r\nnot delete it.</p>\r\n\r\n<p>This is allows you to disable a host if you think its not being used.  If\r\nit turns out it is being used, you can just re-enable it (instead of having\r\nto re-enter all of the information).  Otherwise, you can just delete the\r\nhost.</p>'),('search_myzones','<p><font class=\\\"header2\\\">Searching in \\\"My Zones\\\"</font></p>\r\n<p>Selecting \\\"My Zones\\\" as your search area will select objects only from zones you have access to. This is usefull if you are looking for a host that you know is in one of your zones.</p>'),('search_all_zones','<p><font class=\\\"header2\\\">Searching All Zones</font></p>\r\n<p>This will search all zones in the Maintain database. Warning, this can be a lot of results!</p>\r\n'),('search_specific_zone','<p><font class=\\\"header2\\\">Searching a Specific zone</font></p>\r\n<p>This will return results <i>only</i> from a specific zone.</p>'),('child_objects','<p><font class=\\\"header2\\\">Child Objects</font></p>\n<p>A child object is a object that is linked to the parent in one way or another. \nCommon types of child objects are, CNAME records that point to the parent \nhost, MX records that point to the parent host and hosts with the same \nMAC address.</p>'),('location','<p><font class=\\\"header2\\\">Location</font></p>\r\n<p>The location field under a host object is not used by DNS. It is simply for tracking the location of a host. It is recommended that you label all of your hosts by Room # and Building, but is not required.</p>'),('serial_number','<p><font class=\\\"header2\\\">Serial Number</font></p>\r\n<p>The serial number field under a host object is not used by DNS. This is simply for tracking.  Somes uses could be the Dell Service tags, Serial Number or OSU ID numbers.</p>'),('search_exact','<p><font class=\\\"header2\\\">Exact Search</font></p>\r\n<p>A exact search will look only for objects that are exactly the same as you type in. A exact search is case insensitive.</p>'),('other_id','<p><font class=\\\"header2\\\">Other ID</font></p>\r\n<p>This field is not used by DNS in any way. This is an optional field.</p>'),('operating_system','<p><font class=\\\"header2\\\">Operating System</font></p>\r\n<p>This field is not used by DNS. It is for tracking only. We recommend putting at least the Major OS name, such as Win9X, WinNT, Linux, Unix, Mac OS, but it is completely up to you.</p>'),('hardware_type','<p><font class=\\\"header2\\\">Hardware Type</font></p>\n<p>This field is not used by DNS, It is for tracking only. We recommend \nputting the type of Processor, or Make/Model of the computer in this field.</p>'),('domain','<p><font class=\\\"header2\\\">Domain</font></p>\r\n<p>This specifies which domain this host is part of. This is often \r\ndependent upon the zone that this host is in. An example of a domain \r\nwould be <i>nws.orst.edu</i>. When editing a host you can only select \r\ndomains that are associated with the parent zone. </p>'),('host_create_mx_record','<p><font class=\\\"header2\\\">Creating a MX Record from a host</font></p>\r\n<p>This allows you to create a MX record for the current host. This simply pre-populates the \\\"server\\\" field with the hosts full name.</p>'),('host_create_cname','<p><font class=\\\"header2\\\">Creating a CNAME to current host</font></p>\r\n<p>This creates a CNAME record pointing to the current host. It simply pre-populates the \\\"Server\\\" field in the \\\"Create a CNAME\\\" form.</p>'),('last_seen','<p>The <b>last seen</b> attribute refers to the last time this machine\nmade a DHCP request to one of our DHCP servers.  Hosts that get\ntheir\nIP addresses from DHCP will have this data from August 8th, 2002 on\nto today.  If your host has not been seen since then it means that either the\nhost is hard-coded (which is not a good thing) or it is no longer around.<p>\n\n<p>If your host has a hard-coded IP address then it will show <b>Last Seen</b>\nas N/A.</p>'),('cname','<p>The <b>CNAME</b> attribute relates to the actual hostname you\nwant to have be directed somewhere else.  This entry is heavily dependent\non the next attribute which is <b>Domain</b>.</p>'),('cname_domain','<p>The <b>Domain</b> value specifies what domain this <b>CNAME</b>\nwill actually live in.  Taking the <b>CNAME</b> and concatenating it\nwith the <b>Domain</b> will yield the complete CNAME record that\nwill be updated on the DNS server.</p>'),('cname_server','<p>The <b>Server Name</b> value can be any fully-qualified host name that\r\nyou want to direct your <b>CNAME</b> at.  A fully-qualified host name is of the form something.domain.oregonstate.edu.</p>\r\n\r\n<p>There is one caveat; you cannot point a CNAME at an MX record and\r\nvice versus.  This violates the DNS RFC\\\'s that exists and current DNS\r\nservers will not support that record.  Fortunately we will check for\r\nthis in the form.</p>'),('cname_general','CNAME\'s are used to direct traffic from one hostname to another. The trick with CNAME\'s is that they are all named-based. You don\'t point a hostname at an IP, you point a hostname at another hostname.'),('mx_general','An MX record is more formally known as a mail exchanger record. This record is used in determining where email should be delivered for given hostnames and domains. Most of the time you will not need to create these yourself unless you have your own mail server.'),('host_info_field','<p>This is an informational field. It is not used by DNS/DHCP. You may put anything here.</p>'),('who_update','<p>This shows the last user to update this record.</p>'),('generic_comment','<p>Comment made during the last update, this field is optional.</p>'),('workgroup','<p>A workgroup allows you to define extra DHCP options to an object beyond those defined in the global or subnet scope.</p>'),('module_flo_bandwidth','<p>Bandwidth is calculated based on all traffic that crosses the boarder router. It does not include traffic on campus.</p>'),('parent_zone','<p>The parent zone contains this object. You can have <i>any</i> record in any zone.</p>'),('top_cname','<p>Checking this box will create a CNAME of the selected Domain. This is usefull for creating top level CNAMES.</p>\r\n<p>Example:<br /><br />\r\nDomain Oregonstate.edu <br />\r\nCNAME Oregonstate.edu --> www1.oregonstate.edu\r\n</p>'),('top_mx','<p>Checking this box will create a MX of the selected Domain. This is usefull for creating top level MX Records.</p>\r\n<p>Example:<br /><br />\r\nDomain Oregonstate.edu <br />\r\nMX Oregonstate.edu --> mail1.oregonstate.edu\r\n</p>'),('host_expire','<p>Host Expire allows you to set a specific date for this host to expire. On that date the host will be automaticly deleted. </p>'),('option_host','<p>Setting a DHCP option to host level causes it to be defined with-in the host declaration. This would allow you to specify the log-server for each host withing a workgroup to be it\\\'s own host name (%h)</p>'),('dhcp_option_general','When setting DHCP options double quotes are not need; they are added during build time to the correct options.<br /><br />\r\n\r\n<b>Allowed Variables</b><br />\r\n%h  -- Replaced with the full hostname of the host<br />\r\n%i   -- Replaced with the dotted-quad format of the hosts ip address<br />\r\n%m -- Replaced with the full hardware address<br />\r\n%6m -- Replaced with the first 6 characters<br />\r\n<br />\r\nThe above options only work on Host options or on Workgroups with a Host scope.<br />');
UNLOCK TABLES;
/*!40000 ALTER TABLE `help` ENABLE KEYS */;

--
-- Table structure for table `host`
--

DROP TABLE IF EXISTS `host`;
CREATE TABLE `host` (
  `id` int(10) NOT NULL auto_increment,
  `ip` int(11) unsigned default '0',
  `dynamic_range` int(11) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `domain` int(10) NOT NULL default '0',
  `ha` varchar(12) NOT NULL default '',
  `type` varchar(128) default NULL,
  `os` varchar(128) default NULL,
  `location` varchar(128) default NULL,
  `serial` varchar(128) default NULL,
  `last_seen` int(11) unsigned NOT NULL default '0',
  `other_id` varchar(128) default NULL,
  `workgroup` int(11) unsigned default NULL,
  `enabled` smallint(1) NOT NULL default '1',
  `expire` int(11) unsigned default '0',
  `ttl` int(11) unsigned NOT NULL default '0',
  `last_update` int(11) unsigned NOT NULL default '0',
  `zone` int(11) unsigned NOT NULL default '0',
  `purchase_date` int(11) default NULL,
  `po_number` varchar(128) default NULL,
  `warranty_date` int(11) default NULL,
  `owning_unit` varchar(128) default NULL,
  `user_id` varchar(128) default NULL,
  PRIMARY KEY  (`id`),
  KEY `ip` (`ip`),
  KEY `domain` (`domain`),
  KEY `zone` (`zone`),
  KEY `ha` (`ha`),
  KEY `workgroup` (`workgroup`),
  KEY `status` (`enabled`)
) TYPE=InnoDB PACK_KEYS=1;

--
-- Dumping data for table `host`
--


/*!40000 ALTER TABLE `host` DISABLE KEYS */;
LOCK TABLES `host` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `host` ENABLE KEYS */;

--
-- Table structure for table `host_history`
--

DROP TABLE IF EXISTS `host_history`;
CREATE TABLE `host_history` (
  `id` int(11) NOT NULL auto_increment,
  `date` int(11) unsigned NOT NULL default '0',
  `ha` varchar(12) NOT NULL default '',
  `ip` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `date` (`date`),
  KEY `ip` (`ip`),
  KEY `ha` (`ha`)
) TYPE=InnoDB;

--
-- Dumping data for table `host_history`
--


/*!40000 ALTER TABLE `host_history` DISABLE KEYS */;
LOCK TABLES `host_history` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `host_history` ENABLE KEYS */;

--
-- Table structure for table `ip_blocks`
--

DROP TABLE IF EXISTS `ip_blocks`;
CREATE TABLE `ip_blocks` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `start` int(11) unsigned NOT NULL default '0',
  `end` int(11) unsigned NOT NULL default '0',
  `enabled` smallint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) TYPE=InnoDB;

--
-- Dumping data for table `ip_blocks`
--


/*!40000 ALTER TABLE `ip_blocks` DISABLE KEYS */;
LOCK TABLES `ip_blocks` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `ip_blocks` ENABLE KEYS */;

--
-- Table structure for table `modules`
--

DROP TABLE IF EXISTS `modules`;
CREATE TABLE `modules` (
  `name` varchar(255) NOT NULL default '',
  `enabled` smallint(1) unsigned NOT NULL default '0',
  `needsConfigFile` TINYINT(1) DEFAULT '0' NOT NULL,
  `config_mtime` TIMESTAMP NULL default NULL,
  PRIMARY KEY  (`name`),
  KEY `configs` (`enabled`, `needsConfigFile`)
) TYPE=InnoDB;

INSERT INTO `modules` ( `name` , `enabled` , `needsConfigFile` , `config_mtime` )
VALUES (
'auth_maintain', '1', '0', NOW( )
);
INSERT INTO `modules` ( `name` , `enabled` , `needsConfigFile` , `config_mtime` )
VALUES (
'maintain_nav', '1', '0', NOW( )
);

INSERT INTO `modules` ( `name` , `enabled` , `needsConfigFile` , `config_mtime` )
VALUES (
'maintain_search', '1', '0', NOW( )
);

INSERT INTO `modules` ( `name` , `enabled` , `needsConfigFile` , `config_mtime` )
VALUES (
'maintain_widgets', '1', '0', NOW( )
);

INSERT INTO `modules` ( `name` , `enabled` , `needsConfigFile` , `config_mtime` )
VALUES (
'maintain_displayobj', '1', '0', NOW( )
);

INSERT INTO `modules` ( `name` , `enabled` , `needsConfigFile` , `config_mtime` )
VALUES (
'maintain_action', '1', '0', NOW( )
);
--
-- Dumping data for table `modules`
--


/*!40000 ALTER TABLE `modules` DISABLE KEYS */;
LOCK TABLES `modules` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `modules` ENABLE KEYS */;

--
-- Table structure for table 'modules_depends'
--

CREATE TABLE `modules_depends` (
`id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`name` VARCHAR( 255 ) NOT NULL ,
`depends` VARCHAR( 255 ) NOT NULL ,
INDEX `name` ( `name` ),
INDEX `depends` ( `depends` )
) TYPE = InnoDB;

--
-- Dumping data for table 'modules_depends'
--

/*!40000 ALTER TABLE `nameserver` DISABLE KEYS */;
LOCK TABLES `modules_depends` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `nameserver` ENABLE KEYS */;


--
-- Table structure for table `nameserver`
--

DROP TABLE IF EXISTS `nameserver`;
CREATE TABLE `nameserver` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `domain` int(11) unsigned NOT NULL default '0',
  `glue` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `domain` (`domain`)
) TYPE=InnoDB;

--
-- Dumping data for table `nameserver`
--


/*!40000 ALTER TABLE `nameserver` DISABLE KEYS */;
LOCK TABLES `nameserver` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `nameserver` ENABLE KEYS */;

--
-- Table structure for table `object_history`
--

DROP TABLE IF EXISTS `object_history`;
CREATE TABLE `object_history` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(128) NOT NULL default '',
  `object_type` varchar(128) NOT NULL default '',
  `object_id` int(11) NOT NULL default '0',
  `date` int(11) NOT NULL default '0',
  `comment` text NOT NULL,
  `zone` int(11) default NULL,
  `action` varchar(16) NOT NULL default '',
  `summary` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `object_id` (`object_id`),
  KEY `username` (`username`),
  KEY `zone` (`zone`)
) TYPE=InnoDB;

--
-- Dumping data for table `object_history`
--


/*!40000 ALTER TABLE `object_history` DISABLE KEYS */;
LOCK TABLES `object_history` WRITE;
INSERT INTO `object_history` VALUES (1,'unknown user','zone',2,1135786854,'Zone Created',2,'create','My Zone');
UNLOCK TABLES;
/*!40000 ALTER TABLE `object_history` ENABLE KEYS */;

--
-- Table structure for table `object_option`
--

DROP TABLE IF EXISTS `object_option`;
CREATE TABLE `object_option` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `object_id` int(11) unsigned NOT NULL default '0',
  `type` varchar(20) NOT NULL default 'host',
  `scope` varchar(20) NOT NULL default 'host',
  `dhcp_option` int(11) unsigned NOT NULL default '0',
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `object_id` (`object_id`),
  KEY `type` (`type`),
  KEY `scope` (`scope`)
) TYPE=InnoDB;

--
-- Dumping data for table `object_option`
--


/*!40000 ALTER TABLE `object_option` DISABLE KEYS */;
LOCK TABLES `object_option` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `object_option` ENABLE KEYS */;

--
-- Table structure for table `pointer`
--

DROP TABLE IF EXISTS `pointer`;
CREATE TABLE `pointer` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `ip` int(11) unsigned NOT NULL default '0',
  `hostname` varchar(255) NOT NULL default '',
  `type` varchar(20) NOT NULL default 'reverse',
  `ttl` int(11) unsigned NOT NULL default '0',
  `zone` int(11) unsigned NOT NULL default '0',
  `enabled` smallint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `ip` (`ip`),
  KEY `zone` (`zone`)
) TYPE=InnoDB;

--
-- Dumping data for table `pointer`
--


/*!40000 ALTER TABLE `pointer` DISABLE KEYS */;
LOCK TABLES `pointer` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `pointer` ENABLE KEYS */;

--
-- Table structure for table `ranges`
--

DROP TABLE IF EXISTS `ranges`;
CREATE TABLE `ranges` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `start` int(11) unsigned NOT NULL default '0',
  `end` int(11) unsigned NOT NULL default '0',
  `type` varchar(20) NOT NULL default 'static',
  `subnet` int(11) unsigned NOT NULL default '0',
  `comment` text NOT NULL,
  `enabled` smallint(1) NOT NULL default '1',
  `parent` int(11) unsigned NOT NULL default '0',
  `allow_all_hosts` smallint(1) default '0',
  `overfill` float(4, 2) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `type` (`type`)
) TYPE=InnoDB;

--
-- Dumping data for table `ranges`
--


/*!40000 ALTER TABLE `ranges` DISABLE KEYS */;
LOCK TABLES `ranges` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `ranges` ENABLE KEYS */;

--
-- Table structure for table `session`
--

DROP TABLE IF EXISTS `session`;
CREATE TABLE `session` (
  `sessid` varchar(32) NOT NULL default '',
  `data` blob,
  `last_access` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`sessid`)
) TYPE=InnoDB;

--
-- Dumping data for table `session`
--


/*!40000 ALTER TABLE `session` DISABLE KEYS */;
LOCK TABLES `session` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `session` ENABLE KEYS */;

--
-- Table structure for table `soa`
--

DROP TABLE IF EXISTS `soa`;
CREATE TABLE `soa` (
  `id` int(10) NOT NULL auto_increment,
  `domain` int(11) unsigned NOT NULL default '0',
  `primary_master` varchar(255) NOT NULL default '',
  `hostmaster` varchar(255) NOT NULL default '0',
  `refresh` int(10) NOT NULL default '86400',
  `retry` int(10) NOT NULL default '7200',
  `expire` int(10) NOT NULL default '3600000',
  `ttl` int(10) NOT NULL default '172800',
  `delegated` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `domain` (`domain`)
) TYPE=InnoDB;

--
-- Dumping data for table `soa`
--


/*!40000 ALTER TABLE `soa` DISABLE KEYS */;
LOCK TABLES `soa` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `soa` ENABLE KEYS */;

--
-- Table structure for table `subnet`
--

DROP TABLE IF EXISTS `subnet`;
CREATE TABLE `subnet` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `subnet` int(11) unsigned NOT NULL default '0',
  `netmask` int(11) unsigned NOT NULL default '0',
  `status` varchar(20) NOT NULL default 'visible',
  `vlan` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=InnoDB PACK_KEYS=1;

--
-- Dumping data for table `subnet`
--


/*!40000 ALTER TABLE `subnet` DISABLE KEYS */;
LOCK TABLES `subnet` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `subnet` ENABLE KEYS */;

--
-- Table structure for table `update_info`
--

DROP TABLE IF EXISTS `update_info`;
CREATE TABLE `update_info` (
  `key` varchar(128) NOT NULL default '',
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY (`key`)
) TYPE=InnoDB;

--
-- Table structure for table `user`
--

DROP TABLE IF EXISTS `user`;
CREATE TABLE `user` (
  `username` varchar(12) NOT NULL default '',
  `password` varchar(40) NOT NULL default '',
  `type` varchar(20) NOT NULL default 'auth_maintain',
  `preferred_zone` int(11) unsigned NOT NULL default '0',
  `ui_size` tinyint(2) NOT NULL default '10',
  `list_view` tinyint(2) NOT NULL default '25',
  `last_seen` int(11) unsigned NOT NULL default '0',
  `color_template` varchar(128) NOT NULL default '',
  `host_view` varchar(20) NOT NULL default 'basic',
  `email` varchar(255) default NULL,
  PRIMARY KEY  (`username`),
  KEY `last_seen` (`last_seen`)
) TYPE=InnoDB;

--
-- Dumping data for table `user`
--


/*!40000 ALTER TABLE `user` DISABLE KEYS */;
LOCK TABLES `user` WRITE;
INSERT INTO `user` VALUES ('admin','fa9beb99e4029ad5a6615399e7bbae21356086b3','auth_maintain',1,10,25,1135786970,'generic','advanced','');
UNLOCK TABLES;
/*!40000 ALTER TABLE `user` ENABLE KEYS */;

--
-- Table structure for table `vlan`
--

DROP TABLE IF EXISTS `vlan`;
CREATE TABLE `vlan` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `vlan_id` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=InnoDB PACK_KEYS=1;

--
-- Dumping data for table `vlan`
--


/*!40000 ALTER TABLE `vlan` DISABLE KEYS */;
LOCK TABLES `vlan` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `vlan` ENABLE KEYS */;

--
-- Table structure for table `workgroup`
--

DROP TABLE IF EXISTS `workgroup`;
CREATE TABLE `workgroup` (
  `id` int(10) NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `name` (`name`)
) TYPE=InnoDB;

--
-- Dumping data for table `workgroup`
--


/*!40000 ALTER TABLE `workgroup` DISABLE KEYS */;
LOCK TABLES `workgroup` WRITE;
INSERT INTO `workgroup` VALUES (1,'Default');
UNLOCK TABLES;
/*!40000 ALTER TABLE `workgroup` ENABLE KEYS */;

--
-- Table structure for table `zone`
--

DROP TABLE IF EXISTS `zone`;
CREATE TABLE `zone` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(128) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `comment` text,
  `purgeable` tinyint(1) NOT NULL default '0',
  `support_mail` varchar(255) NULL default null,
  `notify` tinyint(1) NOT NULL default '0',
  `allow_blank_ha` smallint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `name` (`name`)
) TYPE=InnoDB;

--
-- Dumping data for table `zone`
--


/*!40000 ALTER TABLE `zone` DISABLE KEYS */;
LOCK TABLES `zone` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `zone` ENABLE KEYS */;

--
-- Table structure for table `cname`
--

DROP TABLE IF EXISTS `cname`;
CREATE TABLE `cname` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `server` varchar(255) NOT NULL default '0',
  `name` varchar(127) NOT NULL default '',
  `domain` int(11) unsigned NOT NULL default '0',
  `ttl` int(11) unsigned NOT NULL default '0',
  `zone` int(11) unsigned NOT NULL default '0',
  `enabled` smallint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `domain` (`server`),
  KEY `zone` (`zone`),
  KEY `domain_2` (`domain`)
) TYPE=InnoDB;

--
-- Dumping data for table `cname`
--


/*!40000 ALTER TABLE `cname` DISABLE KEYS */;
LOCK TABLES `cname` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `cname` ENABLE KEYS */;

--
-- Table structure for table `zone_domain`
--

DROP TABLE IF EXISTS `zone_domain`;
CREATE TABLE `zone_domain` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `zone` int(11) unsigned NOT NULL default '0',
  `domain` int(11) unsigned NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `zone` (`zone`)
) TYPE=InnoDB;

--
-- Dumping data for table `zone_domain`
--


/*!40000 ALTER TABLE `zone_domain` DISABLE KEYS */;
LOCK TABLES `zone_domain` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `zone_domain` ENABLE KEYS */;

--
-- Table structure for table `mx`
--

DROP TABLE IF EXISTS `mx`;
CREATE TABLE `mx` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '0',
  `domain` int(11) unsigned NOT NULL default '0',
  `server` varchar(255) NOT NULL default '',
  `priority` int(11) unsigned NOT NULL default '5',
  `ttl` int(11) unsigned NOT NULL default '0',
  `zone` int(11) unsigned NOT NULL default '0',
  `enabled` smallint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `domain` (`name`),
  KEY `zone` (`zone`),
  KEY `domain_2` (`domain`)
) TYPE=InnoDB;

--
-- Dumping data for table `mx`
--


/*!40000 ALTER TABLE `mx` DISABLE KEYS */;
LOCK TABLES `mx` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `mx` ENABLE KEYS */;

--
-- Table structure for table `zone_range`
--

DROP TABLE IF EXISTS `zone_range`;
CREATE TABLE `zone_range` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `zone` int(11) unsigned NOT NULL default '0',
  `range` int(11) unsigned NOT NULL default '0',
  `default_domain` int(11) unsigned NOT NULL default '0',
  `comment` text,
  `enabled` smallint(1) NOT NULL default '1',
  PRIMARY KEY  (`id`),
  KEY `zone` (`zone`),
  KEY `default_domain` (`default_domain`)
) TYPE=InnoDB;

--
-- Dumping data for table `zone_range`
--


/*!40000 ALTER TABLE `zone_range` DISABLE KEYS */;
LOCK TABLES `zone_range` WRITE;
UNLOCK TABLES;
/*!40000 ALTER TABLE `zone_range` ENABLE KEYS */;

--
-- Table structure for table `zone_user`
--

DROP TABLE IF EXISTS `zone_user`;
CREATE TABLE `zone_user` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `username` varchar(14) NOT NULL default '',
  `zone` int(11) unsigned NOT NULL default '0',
  `level` int(3) NOT NULL default '5',
  PRIMARY KEY  (`id`),
  KEY `user` (`username`),
  KEY `zone` (`zone`)
) TYPE=InnoDB;

--
-- Dumping data for table `zone_user`
--


/*!40000 ALTER TABLE `zone_user` DISABLE KEYS */;
LOCK TABLES `zone_user` WRITE;
INSERT INTO `zone_user` (username,zone,level) VALUES ('admin',0,100);
UNLOCK TABLES;
/*!40000 ALTER TABLE `zone_user` ENABLE KEYS */;

--
-- Table structure for table `zone_workgroup`
--

DROP TABLE IF EXISTS `zone_workgroup`;
CREATE TABLE `zone_workgroup` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `workgroup` int(11) unsigned NOT NULL default '0',
  `zone` int(11) unsigned NOT NULL default '0',
  `is_default` smallint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `zone` (`zone`)
) TYPE=InnoDB;

--
-- Dumping data for table `zone_workgroup`
--


/*!40000 ALTER TABLE `zone_workgroup` DISABLE KEYS */;
LOCK TABLES `zone_workgroup` WRITE;
INSERT INTO `zone_workgroup` VALUES (1,1,1,1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `zone_workgroup` ENABLE KEYS */;



/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

